import { Component, Input, Output, EventEmitter, OnChanges } from '@angular/core';
import { Exercise } from 'app/shared/model/exercise.model';

@Component({
  selector: 'jhi-multi-select-dropdown-exercise',
  templateUrl: './multi-select-dropdown-exercise.component.html',
  styleUrls: ['./multi-select-dropdown-exercise.component.scss'],
})
export class MultiSelectDropdownExerciseComponent implements OnChanges {
  @Input() list: Exercise[] | undefined;

  @Output() shareExercise = new EventEmitter();

  @Input() checkedList: string[] | undefined;
  currentSelected!: Exercise;

  search = '';

  constructor() {
    console.log(this.checkedList);
  }

  ngOnChanges() {
    console.log(this.checkedList);
  }

  getSelectedValue(status: Boolean, value: Exercise) {
    if (status) {
      this.checkedList = [];
      this.checkedList.push(value.title);
    } else {
      this.checkedList = [];
    }

    this.currentSelected = value;

    this.shareIndividualStatus();
  }

  shareIndividualStatus() {
    this.shareExercise.emit(this.currentSelected);
  }
}
