import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { ApplicationConfigService } from 'app/core/config/application-config.service';

export interface Message {
  message: string;
}

/**
 provides infrastructure services for Plugins
 */
@Injectable({ providedIn: 'root' })
export class TestService {
  public triggerInfoMailURL = this.applicationConfigService.getEndpointFor('api/triggerInfoMail');

  constructor(protected http: HttpClient, private applicationConfigService: ApplicationConfigService) {}

  public triggerInfoMail(): Observable<Message> {
    return this.http.get<Message>(this.triggerInfoMailURL);
  }
}
